TikTok Shop

The shop's affiliate totals over a date window

GET/api/public/v1/tik_tok_shop/affiliate/summary
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopAffiliateSummary

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/affiliate/summary?start_date=2026-11-01&end_date=2026-11-01" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
start_datequerystringrequired
end_datequerystringrequired
scopequerystringOne of allgrowi Default all
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
commissionActualnumber, nullable
commissionBasenumber, nullable
commissionEstimatednumber, nullable
creatorsnumber, nullable
currencystring, nullable
fullyReturnedSkuOrdersnumber, nullable
gmvGrossnumber, nullable
itemsSoldnumber, nullable
ordersnumber, nullable
scopestring, nullable
skuOrdersnumber, nullable
sweptThroughstring, nullable
windowobject, nullable
window.endDatestring, nullable
window.startDatestring, nullable

Example

{
  "commissionActual": 125.5,
  "commissionBase": 125.5,
  "commissionEstimated": 125.5,
  "creators": 125.5,
  "currency": "usd",
  "fullyReturnedSkuOrders": 125.5,
  "gmvGross": 125.5,
  "itemsSold": 125.5,
  "orders": 125.5,
  "scope": "string",
  "skuOrders": 125.5,
  "sweptThrough": "string",
  "window": {
    "endDate": "string",
    "startDate": "string"
  }
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.